This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 157131 - libgcrypt-devel should be added to build requirements
libgcrypt-devel should be added to build requirements
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gaim (Show other bugs)
3
All Linux
medium Severity low
: ---
: ---
Assigned To: Warren Togami
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-07 06:13 EDT by David Juran
Modified: 2007-11-30 17:11 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-07 15:14:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Juran 2005-05-07 06:13:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-1.3.1 Firefox/1.0.3

Description of problem:
If libgcrypt-devel isn't installed when building the gaim rpm the resulting gaim package will end up without SSL support and without e.g. msn capabilities. It would IMHO be better if there was an error at build time.


Version-Release number of selected component (if applicable):
gaim-1.2.1-1.fc3

How reproducible:
Always

Steps to Reproduce:
1. rpm -e libgrypt-devel
2. rpmbuild --rebuild gaim-1.2.1-1.fc3.src.rpm

  

Actual Results:  The rpm is built, but it's incomplete

Expected Results:  I would prefer if I got a failure that libgcrypt-devel was missing

Additional info:
Comment 1 Stu Tomlinson 2005-05-07 08:12:53 EDT
Gaim's dependency is on gnutls-devel. Gaim does not use libgcrypt directly. I
think the bug here is actually a bug in the gnutls packaging - gnutls-devel
should Require: libgcrypt-devel.
Comment 2 Warren Togami 2005-05-07 15:14:26 EDT
FC4 gnutls already does that.  But I thought I changed gaim-1.2.1 packages to
use mozilla-nss instead?  In any case it is wrong to add this BuildRequires to gaim.

Note You need to log in before you can comment on or make changes to this bug.